package com.nokia.sms.entity;

/*
 * Status	1	Unsigned Integer	否	状态 0：成功 1：失败
 */
public enum DelBlkRespStatus {
    SUCCESS((byte) 0, "成功"),
    FAILED((byte) 1, "失败");

    public final byte value;
    public final String status;

    DelBlkRespStatus(byte value, String status) {
        this.value = value;
        this.status = status;
    }

    public static DelBlkRespStatus parse(byte value) {
        for (DelBlkRespStatus status : values()) {
            if (value == status.value) {
                return status;
            }
        }
        return null;
    }
}
